jclouds-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ignasi Barrera <n...@apache.org>
Subject Re: dependency troubles
Date Sat, 20 Jun 2020 08:51:18 GMT
I'd say those three are mostly the dependencies we have. We don't have
much more, but those three are definitely the main pain points.

On Fri, Jun 19, 2020 at 3:38 PM Andrew Gaul <gaul@apache.org> wrote:
>
> We have had many reports of Guava version incompatibilities in recent
> years.  To address this, I proposed moving jclouds dependencies from
> Guava 18 to 22 and from Java 7 to 8.  This should give us compatibility
> with Guava 22-30:
>
> https://github.com/apache/jclouds/pull/75
>
> We also have several reports of gson which is hard to address due to
> OSGi but something we may upgrade as well.  Finally I have a personal
> issue with BouncyCastle which prevents upgrading OkHttp which prevents
> tests succeeding with later Java versions:
>
> https://github.com/apache/jclouds/pull/71
>
> I wonder what other dependencies have troubled users?  I would like
> jclouds 2.3.0 to address all of our common dependency issues since we
> will break some (and unbreak more) users due to the Guava upgrade.
>
> --
> Andrew Gaul
> http://gaul.org/

Mime
View raw message